/**********************************************************************
*
*    Author:		shondll (shondll_yahoo.com)
*    Company:		Olimex Ltd.
*    Date:			28/10/2010
*    File Version:	1.00
*    Description:	Initialization routines
*
**********************************************************************/

#ifndef _HARDWARE_PROFILE_H
#define _HARDWARE_PROFILE_H

#include "GenericTypeDefs.h"
#include "ConfigApp.h"
    
// there are three ways to use NVM to store data: External EPROM, Data EEPROM and 
// programming space, with following definitions:
//  #define USE_EXTERNAL_EEPROM
//  #define USE_DATA_EEPROM
//  #define USE_PROGRAMMING_SPACE  
// Each demo board has defined the method of using NVM, as
// required by Network Freezer feature.
    
#define CLOCK_FREQ          16000000

#if !defined(MRF24J40)
#error "MOD-ZIGBEE: MRF24J40 is mounted on the board!"
#endif

#define RFIF            	INTCONbits.INT0IF
#define RFIE           		INTCONbits.INT0IE
#define PHY_CS          	LATCbits.LATC0
#define PHY_CS_TRIS     	TRISCbits.TRISC0
#define RF_INT_PIN      	PORTBbits.RB0
#define RF_INT_TRIS     	TRISBbits.TRISB0
#define PHY_WAKE        	LATCbits.LATC1
#define PHY_WAKE_TRIS   	TRISCbits.TRISC1
#define PHY_RESETn          LATCbits.LATC2
#define PHY_RESETn_TRIS     TRISCbits.TRISC2

#define SPI_SDI             PORTCbits.RC4
#define SDI_TRIS            TRISCbits.TRISC4
#define SPI_SDO             LATCbits.LATC5               
#define SDO_TRIS            TRISCbits.TRISC5
#define SPI_SCK             LATCbits.LATC3
#define SCK_TRIS            TRISCbits.TRISC3

#define PUSH_BUTTON_1       PORTBbits.RB5
#define BUTTON_1_TRIS       TRISBbits.TRISB5
#define PUSH_BUTTON_2       PORTBbits.RB4
#define BUTTON_2_TRIS       TRISBbits.TRISB4

#define LED_1               LATAbits.LATA0
#define LED_1_TRIS          TRISAbits.TRISA0
#define LED_2               LATAbits.LATA1
#define LED_2_TRIS          TRISAbits.TRISA1

#define TMRL                TMR0L   
    
// Following definition is for delay functionality
#define GetInstructionClock()	(CLOCK_FREQ/4)

BYTE ButtonPressed(void);
void BoardInit(void);

    
#endif // _HARDWARE_PROFILE_H
